Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.model
Class PropertyContainer

    java.lang.Object
      com.bea.p13n.model.PropertyContainer

All Implemented Interfaces
  Serializable

    public class PropertyContainer

extends Object
implements Serializable

An object representing the comparision of a property to a set of literals and/or other properties.

See Also
  Serialized Form

Nested Class Summary
`static class` | `PropertyContainer.JoinType`

Constructor Summary
`PropertyContainer(PropertyRefModel property, PropertyContainer.JoinType join)` Constructor.

Method Summary
`void` | `addAllComparisons(List<Comparison> list)` Add all the specified comparisons.
`void` | `addComparison(Comparison comparison)` Add a comparison to this property.
`void` | `clearComparisons()` Clear all comparisons.
`boolean` | `equals(Object o)` Determine if another object is equal to us.
`Comparison[]` | `getComparisons()` Get the comparisons as an array.
`List<Comparison>` | `getComparisonsList()` Get the comparisons as a read-only list.
`PropertyContainer.JoinType` | `getJoin()` Get the boolean logic (AND or OR)
`PropertyRefModel` | `getProperty()` Get the property.
`int` | `hashCode()` Override to provide an equality-aware hash code function.
`boolean` | `isEmpty()` Does the property container have any comparisons.
`void` | `removeComparison(Comparison comparison)` Remove a comparison to this property.
`void` | `setComparisonsList(List<Comparison> list)` Set the list of comparisons.
`void` | `setJoin(PropertyContainer.JoinType join)` Set the boolean logic (AND or OR)
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropertyContainer

    public PropertyContainer(PropertyRefModel property,
                             PropertyContainer.JoinType join)

  Constructor.

Method Detail

### getProperty

    public PropertyRefModel getProperty()

  Get the property.

### addComparison

    public void addComparison(Comparison comparison)

  Add a comparison to this property.

### removeComparison

    public void removeComparison(Comparison comparison)

  Remove a comparison to this property.

### clearComparisons

    public void clearComparisons()

  Clear all comparisons.

### getComparisons

    public Comparison[] getComparisons()

  Get the comparisons as an array.

### getComparisonsList

    public List<Comparison> getComparisonsList()

  Get the comparisons as a read-only list.

### setComparisonsList

    public void setComparisonsList(List<Comparison> list)

  Set the list of comparisons.

### addAllComparisons

    public void addAllComparisons(List<Comparison> list)

  Add all the specified comparisons.

### isEmpty

    public boolean isEmpty()

  Does the property container have any comparisons.

### setJoin

    public void setJoin(PropertyContainer.JoinType join)

  Set the boolean logic (AND or OR)

### getJoin

    public PropertyContainer.JoinType getJoin()

  Get the boolean logic (AND or OR)

### equals

    public boolean equals(Object o)

  Determine if another object is equal to us.

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Override to provide an equality-aware hash code function.

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.